Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.contribution.visualiser.internal.preference
Class VisualiserPreferencesDialog

    java.lang.Object
      Dialog
          org.eclipse.contribution.visualiser.internal.preference.VisualiserPreferencesDialog

public class VisualiserPreferencesDialog
extends Dialog

Dialog containing Visualiser preferences Mostly copied from org.eclipse.jface.preference.PreferenceDialog

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `PREF_DLG_IMG_TITLE_ERROR`
`static java.lang.String` | `PREF_DLG_TITLE_IMG`

Constructor Summary
`VisualiserPreferencesDialog(Shell parentShell)` Default constructor

Method Summary
`IPreferenceStore` | `getPreferenceStore()` Get the preference store
`void` | `setErrorMessage(java.lang.String newErrorMessage)` Display the given error message.
`void` | `setMessage(java.lang.String newMessage)` Set the message text.
`void` | `setMessage(java.lang.String newMessage, int newType)` Sets the message for this dialog with an indication of what type of message it is.
`void` | `updateButtons()` Update the enabled state of buttons in the page
`void` | `updateMessage()` Update the message
`void` | `updateTitle()` Update the title

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PREF_DLG_TITLE_IMG

    public static final java.lang.String PREF_DLG_TITLE_IMG

See Also:
  Constant Field Values

### PREF_DLG_IMG_TITLE_ERROR

    public static final java.lang.String PREF_DLG_IMG_TITLE_ERROR

Constructor Detail

### VisualiserPreferencesDialog

    public VisualiserPreferencesDialog(Shell parentShell)

  Default constructor

Parameters:
  `parentShell` -

Method Detail

### setErrorMessage

    public void setErrorMessage(java.lang.String newErrorMessage)

  Display the given error message. The currently displayed message is saved and will be redisplayed when the error message is set to `null`.

### getPreferenceStore

    public IPreferenceStore getPreferenceStore()

  Get the preference store

  See Also:
    `org.eclipse.jface.preference.IPreferencePageContainer#getPreferenceStore()`

### updateButtons

    public void updateButtons()

  Update the enabled state of buttons in the page

  See Also:
    `org.eclipse.jface.preference.IPreferencePageContainer#updateButtons()`

### setMessage

    public void setMessage(java.lang.String newMessage)

  Set the message text. If the message line currently displays an error, the message is stored and will be shown after a call to clearErrorMessage

  Shortcut for `setMessage(newMessage, NONE)`

  Parameters:
    `newMessage` - the message, or `null` to clear the message

### setMessage

    public void setMessage(java.lang.String newMessage,
                           int newType)

  Sets the message for this dialog with an indication of what type of message it is.

  The valid message types are one of `NONE`, `INFORMATION`, `WARNING`, or `ERROR`.

  Note that for backward compatibility, a message of type `ERROR` is different than an error message (set using `setErrorMessage`). An error message overrides the current message until the error message is cleared. This method replaces the current message and does not affect the error message.

  Parameters:
    `newMessage` - the message, or `null` to clear the message
    `newType` - the message type

### updateMessage

    public void updateMessage()

  Update the message

  See Also:
    `org.eclipse.jface.preference.IPreferencePageContainer#updateMessage()`

### updateTitle

    public void updateTitle()

  Update the title

  See Also:
    `org.eclipse.jface.preference.IPreferencePageContainer#updateTitle()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD